from setuptools import setup

setup(
	name = "dtgw",
	description = "Computing dtgw-distances between temporal graphs.",
	version = "0.1.1",
	author = "Malte Renken",
	packages = ["dtgw"],
	zip_safe = True,
	python_requires = ">=3.3, <4",
	install_requires = [
		"numpy >= 1.10",
		"scipy",
		"lapjv",
		# "graph_tool" has to bee installed from https://graph-tool.skewed.de/
	],
	entry_points = {
		"console_scripts": [
			"dtgw = dtgw.main:main"
		]
	}
)
